# ------------------------------------------------------------------------------------
# CONFIG_SIM 0
# CONFIG_FSDB      0
# CONFIG_TRACE     1
# CONFIG_LOG       1
# CONFIG_COVERAGE  0
# ------------------------------------------------------------------------------------

# ------------------------------------------------------------------------------------
# rv32mi tests						
# ------------------------------------------------------------------------------------
#csr           rv32mi        p       						
#mcsr          rv32mi			  p			
ma_fetch      rv32mi			  p			
ma_addr       rv32mi			  p			
#scall         rv32mi			  p			
shamt         rv32mi        p
#sbreak        rv32mi			  p			
#breakpoint    rv32mi			  p			
#illegal       rv32mi			  p			


## ------------------------------------------------------------------------------------
## rv32ua tests						
## ------------------------------------------------------------------------------------
amoadd_w	    rv32ua			  p					
amoand_w	    rv32ua			  p					
amomax_w	    rv32ua			  p					
amomaxu_w	    rv32ua			  p					
amomin_w	    rv32ua			  p					
amominu_w	    rv32ua			  p					
amoor_w		    rv32ua			  p				
amoxor_w	    rv32ua			  p					
amoswap_w     rv32ua			  p						
lrsc 			    rv32ua			  p			

# ------------------------------------------------------------------------------------
# rv32uc tests
# ------------------------------------------------------------------------------------
rvc         rv32uc        p
	
# ------------------------------------------------------------------------------------
# rv32ui tests
# ------------------------------------------------------------------------------------

add       rv32ui         p  											
addi      rv32ui         p									
and       rv32ui         p									
andi      rv32ui         p									
auipc     rv32ui         p								
beq       rv32ui         p									
bge       rv32ui         p										
bgeu      rv32ui         p								
blt       rv32ui         p								
bltu      rv32ui         p									
bne       rv32ui         p								
fence_i   rv32ui         p									
jal       rv32ui         p									
jalr      rv32ui         p										
lb        rv32ui         p											
lbu       rv32ui         p
lh        rv32ui         p											
lhu       rv32ui         p								
lui       rv32ui         p								
lw        rv32ui         p								
or        rv32ui         p								
ori       rv32ui         p								
sb        rv32ui         p								
sh        rv32ui         p								
simple    rv32ui         p									
sll       rv32ui         p								
slli      rv32ui         p									
slt       rv32ui         p								
slti      rv32ui         p								
sltiu     rv32ui         p								
sltu      rv32ui         p								
sra       rv32ui         p								
srai      rv32ui         p									
srl       rv32ui         p									
srli      rv32ui         p									
sub       rv32ui         p								
sw        rv32ui         p									
xor       rv32ui         p									
xori      rv32ui         p									

# ------------------------------------------------------------------------------------
# rv32um tests
# ------------------------------------------------------------------------------------

div       rv32um         p
divu      rv32um         p
rem       rv32um         p
remu      rv32um         p
mul       rv32um         p	
mulh      rv32um         p	
mulhsu    rv32um         p	
mulhu     rv32um         p	

# ------------------------------------------------------------------------------------
# rv64mi tests						
# ------------------------------------------------------------------------------------
csr           rv64mi       p       						
#mcsr          rv64mi			  p			
ma_fetch      rv64mi			  p			 
ma_addr       rv64mi			  p			
scall         rv64mi			  p			
access        rv64mi        p
sbreak        rv64mi			  p			
#breakpoint    rv64mi			  p		# test fails as breakpoint not implemented ?
#illegal       rv64mi			  p		# test fails as mtval is implemented in e-class and spike is 0x0

# ------------------------------------------------------------------------------------
# rv64ua tests						
# ------------------------------------------------------------------------------------
amoadd_d      rv64ua    	  p								
amoand_d	    rv64ua			  p					
amomax_d	    rv64ua			  p					
amomaxu_d	    rv64ua			  p					
amomin_d	    rv64ua			  p					
amominu_d	    rv64ua			  p					
amoor_d		    rv64ua			  p				
amoxor_d	    rv64ua			  p					
amoswap_d     rv64ua			  p						
amoadd_w	    rv64ua			  p					
amoand_w	    rv64ua			  p					
amomax_w	    rv64ua			  p					
amomaxu_w	    rv64ua			  p					
amomin_w	    rv64ua			  p					
amominu_w	    rv64ua			  p					
amoor_w		    rv64ua			  p				
amoxor_w	    rv64ua			  p					
amoswap_w     rv64ua			  p						
lrsc 			    rv64ua			  p			

# ------------------------------------------------------------------------------------
# rv64uc tests
# ------------------------------------------------------------------------------------
 rvc         rv64uc        p

# ------------------------------------------------------------------------------------
# rv64ui tests
# ------------------------------------------------------------------------------------
add 	        rv64ui         p  											
addi				  rv64ui         p									
addiw				  rv64ui         p									
addw 				  rv64ui         p									
and					  rv64ui         p								
andi 				  rv64ui         p									
auipc 			  rv64ui         p										
beq					  rv64ui         p								
bge					  rv64ui         p								
bgeu				  rv64ui         p									
blt					  rv64ui         p								
bltu				  rv64ui         p									
bne 				  rv64ui         p									
simple 			  rv64ui         p										
fence_i 		  rv64ui         p											
jal           rv64ui         p
jalr 		      rv64ui         p											
lb					  rv64ui         p								
lbu					  rv64ui         p								
lh					  rv64ui         p								
lhu					  rv64ui         p								
lw					  rv64ui         p								
lwu					  rv64ui         p								
ld 					  rv64ui         p								
lui 				  rv64ui         p									
or					  rv64ui         p								
ori 				  rv64ui         p									
sb					  rv64ui         p								
sh					  rv64ui         p								
sw					  rv64ui         p								
sd 					  rv64ui         p								
sll					  rv64ui         p								
slli				  rv64ui         p									
slliw				  rv64ui         p									
sllw 				  rv64ui         p									
slt					  rv64ui         p								
slti				  rv64ui         p									
sltiu				  rv64ui         p									
sltu 				  rv64ui         p									
sra					  rv64ui         p								
srai				  rv64ui         p									
sraiw				  rv64ui         p									
sraw 				  rv64ui         p									
srl					  rv64ui         p								
srli				  rv64ui         p									
srliw				  rv64ui         p									
srlw 				  rv64ui         p									
sub					  rv64ui         p
subw 				  rv64ui         p	
xor					  rv64ui         p
xori 				  rv64ui         p	

# ------------------------------------------------------------------------------------
# rv64um tests
# ------------------------------------------------------------------------------------
div           rv64um         p	
divu          rv64um         p	
divuw         rv64um         p	
divw          rv64um         p	
mul           rv64um         p	
mulh          rv64um         p	
mulhsu        rv64um         p	
mulhu         rv64um         p	
mulw          rv64um         p	
rem           rv64um         p	
remu          rv64um         p	
remuw         rv64um         p	
remw          rv64um         p
